For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET All Team Standings

This endpoint returns all the team standings available in our Motorsport API.

https://api.sportmonks.com/v3/motorsport/standings/teams
{
    "data": [
        {
            "id": 253788,
            "participant_id": 276191,
            "sport_id": 2,
            "league_id": 3468,
            "season_id": 25273,
            "stage_id": 77476104,
            "group_id": null,
            "round_id": null,
            "standing_rule_id": null,
            "position": 1,
            "result": null,
            "points": 460
        },
        {
            "id": 253789,
            "participant_id": 276198,
            "sport_id": 2,
            "league_id": 3468,
            "season_id": 25273,
            "stage_id": 77476104,
            "group_id": null,
            "round_id": null,
            "standing_rule_id": null,
            "position": 3,
            "result": null,
            "points": 210
        },
Field
Description
Type

id

Refers to the unique id of the standings

integer

participant_id

Refers to the participant related to the standing

integer

sport_id

Refers to the sport related to the standing

integer

league_id

Refers to the league related to the standing

integer

season_id

Refers to the season related to the standing

integer

stage_id

Refers to the stage related to the standing

integer

group_id

Not used in the Motorsport API

integer

round_id

Not used in the Motorsport API

integer

standing_rule_id

Refers to the tie breaker rule related to the standing - N/A for the Motorsport API

integer

position

The position of the participant in the standing

string

result

Indication of the participant in the position went up or down in the standing - N/A for the Motorsport API

string

points

The number of points the participant has gathered in the standings

integer

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Not applicable for this endpoint.

Pagination

YES

Include depth

You can use a total of 2 nested includes on this endpoint

Include options

sport participant season league stage

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the Team Standings endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/standings/teams?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/standings/teams?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?